aboutsummaryrefslogtreecommitdiff
path: root/test/T350-crypto.sh
diff options
context:
space:
mode:
authorTomi Ollila <tomi.ollila@iki.fi>2021-05-23 10:34:43 +0300
committerDavid Bremner <david@tethera.net>2021-06-03 09:29:27 -0300
commit572af2795007464ffbf9cd4656e0e5736d78d362 (patch)
treef125d88914372d097b52e70368bf703d02eeea92 /test/T350-crypto.sh
parent100106a45d9f362ed8770c95cf35bd43f6580511 (diff)
test: source $NOTMUCH_SRCDIR/test/test-lib-emacs.sh
Sourcing test-lib.sh will cd to TMP_DIRECTORY, so relative path in $0 will not work in previous version . $(dirname "$0")/test-lib-emacs.sh Now individual test scripts -- e.g. ./test/T310-emacs.sh will work.
Diffstat (limited to 'test/T350-crypto.sh')
-rwxr-xr-xtest/T350-crypto.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/test/T350-crypto.sh b/test/T350-crypto.sh
index 4508c984..c1c1fccc 100755
--- a/test/T350-crypto.sh
+++ b/test/T350-crypto.sh
@@ -6,7 +6,7 @@
test_description='PGP/MIME signature verification and decryption'
. $(dirname "$0")/test-lib.sh || exit 1
-. $(dirname "$0")/test-lib-emacs.sh || exit 1
+. $NOTMUCH_SRCDIR/test/test-lib-emacs.sh || exit 1
##################################################